Bug 458397 - Review Request: python-paver - Python-based build/distribution/deployment scripting tool
Review Request: python-paver - Python-based build/distribution/deployment scr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 19:46 EDT by Toshio Ernie Kuratomi
Modified: 2008-09-11 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 13:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2008-08-07 19:46:24 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-paver.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-paver-0.8.1-1.fc9.src.rpm
Description:
Paver is a Python-based build/distribution/deployment scripting tool along the
lines of Make or Rake. What makes Paver unique is its integration with commonly
used Python libraries. Common tasks that were easy before remain easy. More
importantly, dealing with your applications specific needs and requirements is
now much easier.

* Build files are just Python
* One file with one syntax, pavement.py, knows how to manage your project
* File operations are unbelievably easy, thanks to the built-in version of
  Jason Orendorff’s path.py.
* Need to do something that takes 5 lines of code? It’ll only take 5 lines of
  code..
* Completely encompasses distutils and setuptools so that you can customize
  behavior as you need to.
* Wraps Sphinx for generating documentation, and adds utilities that make it
  easier to incorporate fully tested sample code.
* Wraps Subversion for working with code that is checked out.
* Wraps virtualenv to allow you to trivially create a bootstrap script that
  gets a virtual environment up and running. This is a great way to install
  packages into a contained environment.
* Can use all of these other libraries, but requires none of them
* Easily transition from setup.py without making your users learn about or
  even install Paver! (See the Getting Started Guide for an example).
Comment 1 Jason Tibbitts 2008-08-09 15:52:35 EDT
Looks clean to me.  I note that there seem to be some included tests; "setup.py test" will run them file if python-nose is added as a build dependency:
  Ran 35 tests in 0.068s
  OK

It's probably worth doing that, unless you can see a reason not to.

* source files match upstream:
   01112b01f72cb2f71029f4f392405a8bb1f1f6159a91ee2a883e82f888f5864f  
   Paver-0.8.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-paver = 0.8.1-1.fc10
  =
   /usr/bin/python
   python(abi) = 2.5

X %check should probably be added.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Toshio Kuratomi 2008-08-10 10:28:56 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-paver.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-paver-0.8.1-2.fc9.src.rpm

%check section added and python-nose is now a BuildRequire.
Comment 3 Toshio Kuratomi 2008-08-10 11:22:10 EDT
Sorry about unsetting assigned and status.  The new bugzilla didn't warn me of a Mid-Air Collision with that.
Comment 4 Jason Tibbitts 2008-08-10 12:48:19 EDT
Cool, thanks.  APPROVED
Comment 5 Toshio Kuratomi 2008-08-10 18:59:50 EDT
Thanks tibbs!

New Package CVS Request
=======================
Package Name: python-paver
Short Description: Python-based build/distribution/deployment scripting tool
Owners: toshio lmacken
Branches: F-8 F-9 devel EL-5 
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-11 13:31:37 EDT
cvs done.
Comment 7 Fedora Update System 2008-08-12 01:51:20 EDT
python-paver-0.8.1-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-08-12 01:52:29 EDT
python-paver-0.8.1-2.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-09-10 02:43:55 EDT
python-paver-0.8.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-paver'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7720
Comment 10 Fedora Update System 2008-09-10 02:49:45 EDT
python-paver-0.8.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-paver'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7477
Comment 11 Fedora Update System 2008-09-11 13:00:45 EDT
python-paver-0.8.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-09-11 13:18:50 EDT
python-paver-0.8.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.